fixes #446 efd_win.inc global critical section should be mutex
fixes #485 Windows efd_init should not assert on failure
fixes #484 Make tcp_shutdown a little less likely to hang forever
fixes #483 CMake tests hang forever
fixes #469 assertion failure in ipc_shutdown
fixes #469 assertion failure in ipc_shutdown
fixes #469 assertion failure in ipc_shutdown (really)
fixes #469 assertion failure in ipc_shutdown (really)
fixes #469 assertion failure in ipc_shutdown
fixes #469 assertion failure in ipc_shutdown (really)
